?

Log in

No account? Create an account
Problems compiling from source - LogJam [entries|archive|friends|userinfo]
LogJam

[ website | LogJam ]
[ userinfo | livejournal userinfo ]
[ archive | journal archive ]

Problems compiling from source [May. 17th, 2003|08:44 am]
LogJam

logjam

[draconid]
I'm probably being an idiot or something but I'm trying to compile logjam from source and I'm having problems (I was using the rpm version but I use RH8 not 9 and the .src.rpms caused me plentiful errors too). While running make it exits with the following error:

/usr/bin/ld: cannot find -lpspell
collect2: ld returned 1 exit status


I have the latest version of gtkspell, and it always worked fine with the old rpms.

Anyone got a solution? Or alternatively, how do I stop it from automatically trying to install with gtkspell compatibilities? I'd rather have the spellchecker but I'm happy to go without if I can get it to run.

Thanks for any help. :)
LinkReply

Comments:
[User Picture]From: tydel
2003-05-17 12:50 am (UTC)
pspell != gtkspell?
(Reply) (Thread)
[User Picture]From: draconid
2003-05-17 01:12 am (UTC)
Then why is it trying to find pspell? It's set to install with gtkspell support if gtkspell is installed (which it is), but it's not meant to install with pspell support as far as I've read anywhere. Besides, pspell is installed too.
(Reply) (Parent) (Thread)
From: evan
2003-05-17 02:19 am (UTC)
gtkspell is basically a gtk interface to pspell (or aspell).
(Reply) (Parent) (Thread)
From: evan
2003-05-17 02:22 am (UTC)
i think you should be able to run configure like this:
./configure --without-gtkspell
and it should disable it.

as for pspell, i dunno. maybe check the rpm deps of gtkspell to see which spelling library it wants? you do need either pspell or aspell installed to be able to use gtkspell.

(insert here long digression about chained library dependencies... maybe when i'm a bit more sober. :P)
(Reply) (Thread)
[User Picture]From: draconid
2003-05-17 02:26 am (UTC)
gtkspell works fine though. It's installed and was working with my old rpm of logjam. so whatever the problem it's with logjam not gtkspell.
(Reply) (Parent) (Thread)
[User Picture]From: draconid
2003-05-17 02:30 am (UTC)
well, --without-gtkspell appears to work. Thanks. :)

Now I just have to work out how to get it to work with gtkspell.
(Reply) (Parent) (Thread)
[User Picture]From: freiheit
2003-05-17 10:17 am (UTC)
You probably have the "pspell" RPM installed, but not the "pspell-devel" RPM. Or aspell-devel; I'm really not sure of the exact package name at the moment, but it's a -devel package you're missing.
(Reply) (Thread)
[User Picture]From: draconid
2003-05-17 10:38 am (UTC)

Re:

Thanks, I'll try getting both and see what happens. :) I should have thought of that since last time I had a similar problem it was that I needed gtkspell-devel.
(Reply) (Parent) (Thread)
[User Picture]From: draconid
2003-05-17 10:54 am (UTC)

Thanks!

Many thanks for the help. It worked! Yay! :)
(Reply) (Parent) (Thread)